OUTPUT_FORMAT( "elf32-i386" )
OUTPUT_ARCH(i386)
ENTRY(main)

SECTIONS {

	. = 0xC0100000;
/* Unify the concoction to a single ELF relocated to 0xC0100000.*/

        .text : {
                *.o (.text)
	}

	.data : {
                *.o (.rodata)
                *.o (.data)
	}

	.bss : {
                *.o (.bss)
		*.o (.sbss)
	}

	.common : {
                *.o (.common)
	}

	.comment : {
                *.o (.comment)
	}

	.note : {
                *.o (.note)
        }
}
