# The FINAL GRAND LINK is done here. Currently the PRE-REQUISITES of this
# RULE contains only the KERNEL_OBJECT. In future, we need to add more of
# them here.

OUTPUT_PHOENIX_O=$(addprefix $(OUTPUT_DIR)/,phoenix.o)
OUTPUT_ELF_LDS=$(addprefix $(OUTPUT_DIR)/,ELF.lds)
OUTPUT_PHOENIX_LDS=$(addprefix $(OUTPUT_DIR)/,phoenix.lds)
OUTPUT_OBJECT=$(addprefix $(OUTPUT_DIR)/,Image)
OUTPUT_PHOENIX_ELF=$(addprefix $(OUTPUT_DIR)/,phoenixELF32)
OUTPUT_CLEAN=$(addprefix $(OUTPUT_DIR)/,clean)

# Note that INIT_OBJECT should come first. This will make sure that the
# when the bootloader gives control to C code, main.c gets control.

$(OUTPUT_OBJECT): ${INIT_OBJECT} ${KERNEL_OBJECT}
	${LD} -M --cref -o $(OUTPUT_PHOENIX_O) -T$(OUTPUT_ELF_LDS)  $+ \
	> $(ROOT_DIR)/docs/ksyms
	${LD} -o $(OUTPUT_OBJECT) -T$(OUTPUT_PHOENIX_LDS) $(OUTPUT_PHOENIX_O)
	mv $(OUTPUT_PHOENIX_O) $(OUTPUT_PHOENIX_ELF) 

$(OUTPUT_DIR)/clean:
	rm -f $(OUTPUT_PHOENIX_O) $(OUTPUT_OBJECT) $(OUTPUT_PHOENIX_ELF)
