BOOT_ASM=nasm

$(BOOT_OBJECT):	$(BOOT_DIR)/bootsect	$(BOOT_DIR)/2ndstage
	echo Adding output to Build Image
	mv $< $(BOOT_OBJECT) 
	cat $(BOOT_DIR)/2ndstage >> $(BOOT_OBJECT)

$(BOOT_DIR)/bootsect:       $(BOOT_DIR)/bootsect.asm
	echo Assembling Boot sector
	${BOOT_ASM} -f bin -o $@ $< 2>/dev/null

$(BOOT_DIR)/2ndstage:       $(BOOT_DIR)/2ndstage.asm
	echo Assembling 2nd stage of loader
	${BOOT_ASM} -f bin -o $@ $< 2>/dev/null

$(BOOT_DIR)/clean:
	rm -f $(BOOT_DIR)/2ndstage
	rm -f $(BOOT_DIR)/bootsect
	rm -f $(BOOT_OBJECT)
