/*
        Author: K.Sarnath
        14-Jan-2001
*/

#ifndef __386_H__
#define __386_H__

enum idt_entry { TASK_GATE = 0x05, INTERRUPT_GATE = 0x0E, TRAP_GATE = 0x0f};

#define MAX_ENTRIES     0x100

struct idt_descr{
        short int loffset;              // 2 bytes
        short int selector;             // 2 bytes
        unsigned char unused;           // 1 byte
        unsigned char constant:5;       // 5 bits
        unsigned char dpl:2;            // 2 bits
        unsigned char present:1;        // 1 bit
        short int uoffset;              // 2 bytes
};

typedef struct idt_descr idt_t;

#endif
